import * as t from 'io-ts';
import * as tt from 'io-ts-types';
export interface BlogIdBrand {
    readonly BlogId: unique symbol;
}
export declare const blogIdCodec: t.BrandC<t.BrandC<tt.NonEmptyStringC, import("./entity").EntityIdBrand>, BlogIdBrand>;
export type BlogId = t.TypeOf<typeof blogIdCodec>;
export declare const blogCodec: t.TypeC<{
    aboutArtist: t.StringC;
    artist: t.StringC;
    artistPicSmall: tt.OptionFromNullableC<t.StringC>;
    artistPicURL: tt.OptionFromNullableC<t.StringC>;
    beneficiaryAccepted: tt.OptionFromNullableC<t.BooleanC>;
    communityPage: tt.OptionFromNullableC<t.BooleanC>;
    coverPicSmall: tt.OptionFromNullableC<t.StringC>;
    coverPicURL: tt.OptionFromNullableC<t.StringC>;
    coverPicURLSmall: tt.OptionFromNullableC<t.StringC>;
    coverResolutions: t.RecordC<t.StringC, tt.OptionFromNullableC<t.StringC>>;
    coverSmall: tt.OptionFromNullableC<t.StringC>;
    curatorAlpha: tt.OptionFromNullableC<t.BooleanC>;
    createdAllowReminder: tt.OptionFromNullableC<t.BooleanC>;
    customlink: tt.OptionFromNullableC<t.StringC>;
    description: tt.OptionFromNullableC<t.StringC>;
    emailNewSubscribers: tt.OptionFromNullableC<t.BooleanC>;
    emailSettings: t.RecordC<t.StringC, tt.OptionFromNullableC<t.BooleanC>>;
    featuredArtists: t.ArrayC<t.StringC>;
    founder: tt.OptionFromNullableC<t.BooleanC>;
    freetier: t.BooleanC;
    frequency: tt.OptionFromNullableC<t.StringC>;
    launchDraft: tt.OptionFromNullableC<t.StringC>;
    launched: t.BooleanC;
    linkTitles: t.ArrayC<t.StringC>;
    links: t.ArrayC<t.StringC>;
    paypal: tt.OptionFromNullableC<t.BooleanC>;
    'paypal_plan_2.5': tt.OptionFromNullableC<t.StringC>;
    paypal_plan_5: tt.OptionFromNullableC<t.StringC>;
    paypal_plan_10: tt.OptionFromNullableC<t.StringC>;
    paypal_product_id: tt.OptionFromNullableC<t.StringC>;
    posts: t.ArrayC<t.StringC>;
    price: tt.OptionFromNullableC<t.NumberC>;
    profileResolutions: tt.OptionFromNullableC<t.UnknownRecordC>;
    reminderLaunchSent: tt.OptionFromNullableC<t.BooleanC>;
    reverseTitle: tt.OptionFromNullableC<t.BooleanC>;
    scheduled: tt.OptionFromNullableC<t.BooleanC>;
    show: tt.OptionFromNullableC<t.StringC>;
    stripeProductID: tt.OptionFromNullableC<t.StringC>;
    subscribers: t.ArrayC<t.BrandC<t.BrandC<tt.NonEmptyStringC, import("./entity").EntityIdBrand>, import("./users").UserIdBrand>>;
    tipButton: tt.OptionFromNullableC<t.BooleanC>;
    title: t.StringC;
    verified: t.BooleanC;
}>;
