"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.blogCodec = exports.blogIdCodec = void 0;
var t = require("io-ts");
var tt = require("io-ts-types");
var entity_1 = require("./entity");
var users_1 = require("./users");
exports.blogIdCodec = t.brand(entity_1.entityIdCodec, function (s) { return true; }, 'BlogId');
exports.blogCodec = t.type({
    aboutArtist: t.string,
    artist: t.string,
    artistPicSmall: tt.optionFromNullable(t.string),
    artistPicURL: tt.optionFromNullable(t.string),
    beneficiaryAccepted: tt.optionFromNullable(t.boolean),
    communityPage: tt.optionFromNullable(t.boolean),
    coverPicSmall: tt.optionFromNullable(t.string),
    coverPicURL: tt.optionFromNullable(t.string),
    coverPicURLSmall: tt.optionFromNullable(t.string),
    coverResolutions: t.record(t.string, tt.optionFromNullable(t.string)),
    coverSmall: tt.optionFromNullable(t.string),
    curatorAlpha: tt.optionFromNullable(t.boolean),
    createdAllowReminder: tt.optionFromNullable(t.boolean),
    customlink: tt.optionFromNullable(t.string),
    description: tt.optionFromNullable(t.string),
    emailNewSubscribers: tt.optionFromNullable(t.boolean),
    emailSettings: t.record(t.string, tt.optionFromNullable(t.boolean)),
    featuredArtists: t.array(t.string),
    founder: tt.optionFromNullable(t.boolean),
    freetier: t.boolean,
    frequency: tt.optionFromNullable(t.string),
    launchDraft: tt.optionFromNullable(t.string),
    launched: t.boolean,
    linkTitles: t.array(t.string),
    links: t.array(t.string),
    paypal: tt.optionFromNullable(t.boolean),
    'paypal_plan_2.5': tt.optionFromNullable(t.string),
    paypal_plan_5: tt.optionFromNullable(t.string),
    paypal_plan_10: tt.optionFromNullable(t.string),
    paypal_product_id: tt.optionFromNullable(t.string),
    posts: t.array(t.string),
    price: tt.optionFromNullable(t.number),
    profileResolutions: tt.optionFromNullable(t.UnknownRecord),
    reminderLaunchSent: tt.optionFromNullable(t.boolean),
    reverseTitle: tt.optionFromNullable(t.boolean),
    scheduled: tt.optionFromNullable(t.boolean),
    show: tt.optionFromNullable(t.string),
    stripeProductID: tt.optionFromNullable(t.string),
    subscribers: t.array(users_1.userIdCodec),
    tipButton: tt.optionFromNullable(t.boolean),
    title: t.string,
    verified: t.boolean,
});
