import * as t from 'io-ts';
import * as tt from 'io-ts-types';

export interface EntityIdBrand {
  readonly EntityId: unique symbol;
}

export const entityIdCodec = t.brand(
  tt.NonEmptyString,
  (s): s is t.Branded<tt.NonEmptyString, EntityIdBrand> => true,
  'EntityId'
);
export type EntityId = t.TypeOf<typeof entityIdCodec>;
