import * as t from 'io-ts';
import * as tt from 'io-ts-types';
import { blogIdCodec } from './blogs';
import { EntityId, entityIdCodec } from './entity';

export interface MusicIdBrand {
  readonly MusicId: unique symbol;
}

export const musicIdCodec = t.brand(entityIdCodec, (s): s is t.Branded<EntityId, MusicIdBrand> => true, 'MusicId');
export type MusicId = t.TypeOf<typeof musicIdCodec>;

export const musicCodec = t.type({
  blogId: blogIdCodec,
  title: tt.NonEmptyString,
  publicUrl: tt.NonEmptyString,
  fileId: tt.NonEmptyString,
  duration: t.number,
  imageUrl: tt.optionFromNullable(tt.NonEmptyString),
});
