import * as t from 'io-ts';
import { EntityId, entityIdCodec } from './entity';

export interface UserIdBrand {
  readonly UserId: unique symbol;
}

export const userIdCodec = t.brand(entityIdCodec, (s): s is t.Branded<EntityId, UserIdBrand> => true, 'UserId');
export type UserId = t.TypeOf<typeof userIdCodec>;
